// ALR - Any Linux Repository
// Copyright (C) 2025 Евгений Храмов
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

//go:build e2e

package e2etests_test

import (
	"testing"

	"github.com/alecthomas/assert/v2"
	"github.com/efficientgo/e2e"
)

func TestE2EIssue32Interactive(t *testing.T) {
	dockerMultipleRun(
		t,
		"issue-32-interactive",
		COMMON_SYSTEMS,
		func(t *testing.T, r e2e.Runnable) {
			assert.NoError(t, r.Exec(e2e.NewCommand(
				"sudo", "alr", "--interactive=false", "remove", "ca-certificates",
			)))

			assert.NoError(t, r.Exec(e2e.NewCommand(
				"sudo", "alr", "--interactive=false", "remove", "openssl",
			)))

			assert.NoError(t, r.Exec(e2e.NewCommand(
				"alr", "fix",
			)))

			assert.NoError(t, r.Exec(e2e.NewCommand(
				"sudo", "alr", "--interactive=false", "install", "ca-certificates",
			)))
		},
	)
}
